Option Strict Off
Option Explicit On
Module TUSBKDIO
	'-----------------------------------------------
	'API for TUSB-KxxRL Driver
    'Visual Basic .NET Module
	'
    'SEP. 11 2009
	'Copyright (C) 2009 Turtle Industry Co.,Ltd.
	'-----------------------------------------------
	
	'API Function declaration
	
	Declare Function TUSBKRL_Set Lib "TUSBKRL.DLL" (ByVal Id As Short, ByVal Data As Byte) As Short
	Declare Function TUSBKRL_BitSet Lib "TUSBKRL.DLL" (ByVal Id As Short, ByVal Bit As Byte, ByVal Data As Byte) As Short
	Declare Function TUSBKRL_Read Lib "TUSBKRL.DLL" (ByVal Id As Short, ByRef Data As Byte) As Short
	Declare Function TUSBKRL_Chk Lib "TUSBKRL.DLL" (ByVal Id As Short) As Short
	Declare Sub TUSBKRL_Load Lib "TUSBKRL.DLL" ()
	Declare Sub TUSBKRL_Unload Lib "TUSBKRL.DLL" ()
	
	' Error Message
	Public Function TUSBKRL_ErrorDisp(ByVal ErrCode As Short) As Object
        Dim Message As String

        Select Case ErrCode
            Case 0
                Message = "ɏI܂"
            Case 2
                Message = "hCoĂ܂"
            Case 6
                Message = "foCX܂ł"
            Case 8
                Message = "p[^G["
            Case 9
                Message = "USBʐMG["
            Case Else
                Message = "sȃG[ł"
        End Select

        MsgBox(Message)
	End Function
End Module