VERSION 5.00
Begin VB.Form MainForm 
   Caption         =   "TUSB-KxxRLTvvO"
   ClientHeight    =   1500
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   4770
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1500
   ScaleWidth      =   4770
   StartUpPosition =   3  'Windows ̊l
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Left            =   3960
      Top             =   480
   End
   Begin VB.CommandButton End 
      Caption         =   "I"
      Height          =   495
      Left            =   1320
      TabIndex        =   0
      Top             =   480
      Width           =   2175
   End
End
Attribute VB_Name = "MainForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'-----------------------------------------------
'TUSB-KxxRL Sample Program
'Visual Basic 6 Source codes
'
'Jul. 06 2009
'Copyright (C) 2009 Turtle Industry Co.,Ltd.
'-----------------------------------------------

Private DevStatus(15) As Boolean ' Device Connection Flag TRUE : connecting
Private IdDevForm(15) As Form ' Device Control Panel Form Object

' Program End Command
Private Sub End_Click()
    Unload Me
End Sub

' Main Form Load
Private Sub Form_Load()
    Dim DevId As Integer
    
    TUSBKRL_Load 'Driver Load
    
    'Initialize
    For DevId = 0 To 15
        DevStatus(DevId) = False 'Device is not Connected
        Set IdDevForm(DevId) = New DevForm 'Device Control Panel Form Create
        Load IdDevForm(DevId) ' Device Control Panel Load
    Next DevId
    
    ' Timer Start
    Timer1.Interval = 500
    Timer1.Enabled = True
End Sub

' Main Form Unload ( Program exit )
Private Sub Form_Unload(Cancel As Integer)
    Dim DevId As Integer
    
    Timer1.Enabled = False ' Timer Disable
    
    For DevId = 0 To 15
        Unload IdDevForm(DevId) ' Device Control Panel Unload
    Next DevId
    
    TUSBKRL_Unload ' Driver Unload
End Sub

' Device Control Panel Open
Private Sub OpenPanel(ByVal Id As Integer)
    IdDevForm(Id).SetId (Id)
    IdDevForm(Id).Show ' Form Show
    DevStatus(Id) = True
End Sub

' Timer Handler
Private Sub Timer1_Timer()
    Dim DevId As Integer
    
    For DevId = 0 To 15
        If DevStatus(DevId) = False Then ' Device is not connected
            If TUSBKRL_Chk(DevId) = 0 Then ' Connection check
                OpenPanel DevId '
            End If
        Else 'Device is connected
            If IdDevForm(DevId).Visible = False Then ' Device is not visible
                DevStatus(DevId) = False
            End If
        End If
    Next DevId
End Sub
