Attribute VB_Name = "TUSBKDIO"
'-----------------------------------------------
'API for TUSB-KxxRL Driver
'Visual Basic 6 Module
'
'Jul. 06 2009
'Copyright (C) 2009 Turtle Industry Co.,Ltd.
'-----------------------------------------------

'API Function declaration

Declare Function TUSBKRL_Set Lib "TUSBKRL.DLL" (ByVal Id As Integer, ByVal Data As Byte) As Integer
Declare Function TUSBKRL_BitSet Lib "TUSBKRL.DLL" (ByVal Id As Integer, ByVal Bit As Byte, ByVal Data As Byte) As Integer
Declare Function TUSBKRL_Read Lib "TUSBKRL.DLL" (ByVal Id As Integer, ByRef Data As Byte) As Integer
Declare Function TUSBKRL_Chk Lib "TUSBKRL.DLL" (ByVal Id As Integer) As Integer
Declare Sub TUSBKRL_Load Lib "TUSBKRL.DLL" ()
Declare Sub TUSBKRL_Unload Lib "TUSBKRL.DLL" ()

' Error Message
Public Function TUSBKRL_ErrorDisp(ByVal ErrCode As Integer)
    Dim str As String
    
    Select Case ErrCode
    Case 0
        str = "ɏI܂"
    Case 2
        str = "hCoĂ܂"
    Case 6
        str = "foCX܂ł"
    Case 8
        str = "p[^G["
    Case 9
        str = "USBʐMG["
    Case Default
        str = "sȃG[ł"
    End Select
    
    MsgBox (str)
End Function

