// KRLForm.cpp : Cve[V t@C
//

#include "stdafx.h"
#include "KxxRLSample.h"
#include "KRLForm.h"
#include "TUSBKRL.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

#define TIMER1	1//Ď^C}[

/////////////////////////////////////////////////////////////////////////////
// CKRLForm _CAO


CKRLForm::CKRLForm(CWnd* pParent /*=NULL*/)
	: CDialog(CKRLForm::IDD, pParent)
{
	//{{AFX_DATA_INIT(CKRLForm)
	m_RLOUT0 = FALSE;
	m_RLOUT1 = FALSE;
	m_RLOUT2 = FALSE;
	m_RLOUT3 = FALSE;
	m_RLOUT4 = FALSE;
	m_RLOUT5 = FALSE;
	m_RLOUT6 = FALSE;
	m_RLOUT7 = FALSE;
	m_RLST0 = _T("");
	m_RLST1 = _T("");
	m_RLST2 = _T("");
	m_RLST3 = _T("");
	m_RLST4 = _T("");
	m_RLST5 = _T("");
	m_RLST6 = _T("");
	m_RLST7 = _T("");
	//}}AFX_DATA_INIT
}


void CKRLForm::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CKRLForm)
	DDX_Check(pDX, IDC_RLOUT0, m_RLOUT0);
	DDX_Check(pDX, IDC_RLOUT1, m_RLOUT1);
	DDX_Check(pDX, IDC_RLOUT2, m_RLOUT2);
	DDX_Check(pDX, IDC_RLOUT3, m_RLOUT3);
	DDX_Check(pDX, IDC_RLOUT4, m_RLOUT4);
	DDX_Check(pDX, IDC_RLOUT5, m_RLOUT5);
	DDX_Check(pDX, IDC_RLOUT6, m_RLOUT6);
	DDX_Check(pDX, IDC_RLOUT7, m_RLOUT7);
	DDX_Text(pDX, IDC_RLST0, m_RLST0);
	DDX_Text(pDX, IDC_RLST1, m_RLST1);
	DDX_Text(pDX, IDC_RLST2, m_RLST2);
	DDX_Text(pDX, IDC_RLST3, m_RLST3);
	DDX_Text(pDX, IDC_RLST4, m_RLST4);
	DDX_Text(pDX, IDC_RLST5, m_RLST5);
	DDX_Text(pDX, IDC_RLST6, m_RLST6);
	DDX_Text(pDX, IDC_RLST7, m_RLST7);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CKRLForm, CDialog)
	//{{AFX_MSG_MAP(CKRLForm)
	ON_BN_CLICKED(IDC_RLOUT0, OnRlout0)
	ON_BN_CLICKED(IDC_RLOUT1, OnRlout1)
	ON_BN_CLICKED(IDC_RLOUT2, OnRlout2)
	ON_BN_CLICKED(IDC_RLOUT3, OnRlout3)
	ON_BN_CLICKED(IDC_RLOUT4, OnRlout4)
	ON_BN_CLICKED(IDC_RLOUT5, OnRlout5)
	ON_BN_CLICKED(IDC_RLOUT6, OnRlout6)
	ON_BN_CLICKED(IDC_RLOUT7, OnRlout7)
	ON_WM_TIMER()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CKRLForm bZ[W nh
void CKRLForm::SetId(short Id)
{
	short retErr;
	char str[30];
	BYTE OUTStatus;

	DevId = Id;

	UpdateData(TRUE);

	sprintf(str,"ID = %d  Panel",DevId);
	SendMessage(WM_SETTEXT,0,(LPARAM)str);

    retErr = TUSBKRL_Read(DevId, &OUTStatus);
	if( retErr != 0 )
	{
		ErrorDisp(retErr);
		ShowWindow(SW_HIDE);
	}
	else
	{
		m_RLOUT0 = ( OUTStatus >> 0 ) & 0x01;
		m_RLOUT1 = ( OUTStatus >> 1 ) & 0x01;
		m_RLOUT2 = ( OUTStatus >> 2 ) & 0x01;
		m_RLOUT3 = ( OUTStatus >> 3 ) & 0x01;
		m_RLOUT4 = ( OUTStatus >> 4 ) & 0x01;
		m_RLOUT5 = ( OUTStatus >> 5 ) & 0x01;
		m_RLOUT6 = ( OUTStatus >> 6 ) & 0x01;
		m_RLOUT7 = ( OUTStatus >> 7 ) & 0x01;
	}

	UpdateData(FALSE);

	SetTimer(TIMER1,100,NULL);
}


void CKRLForm::ErrorDisp(short ErrCode)
{
	char str[50];

	switch( ErrCode )
	{
	case 0:
		strcpy(str,"ɏI܂");
		break;
	case 2:
		strcpy(str,"hCoĂ܂");
		break;
	case 6:
		strcpy(str,"foCX܂ł");
		break;
	case 8:
		strcpy(str,"p[^G[");
		break;
	case 9:
		strcpy(str,"USBʐMG[");
		break;
	default:
		strcpy(str,"sȃG[ł");
		break;
	}
	MessageBox(str,"^[G[",MB_OK);
}



void CKRLForm::OnRlout0() 
{
	short retErr;

	UpdateData(TRUE);
	if( m_RLOUT0 )
		retErr = TUSBKRL_BitSet(DevId, 0, 1);
	else
		retErr = TUSBKRL_BitSet(DevId, 0, 0);

	if( retErr )
		ErrorDisp( retErr );
}

void CKRLForm::OnRlout1() 
{
	short retErr;

	UpdateData(TRUE);
	if( m_RLOUT1 )
		retErr = TUSBKRL_BitSet(DevId, 1, 1);
	else
		retErr = TUSBKRL_BitSet(DevId, 1, 0);

	if( retErr )
		ErrorDisp( retErr );	
}

void CKRLForm::OnRlout2() 
{
	short retErr;

	UpdateData(TRUE);
	if( m_RLOUT2 )
		retErr = TUSBKRL_BitSet(DevId, 2, 1);
	else
		retErr = TUSBKRL_BitSet(DevId, 2, 0);

	if( retErr )
		ErrorDisp( retErr );		
}

void CKRLForm::OnRlout3() 
{
	short retErr;

	UpdateData(TRUE);
	if( m_RLOUT3 )
		retErr = TUSBKRL_BitSet(DevId, 3, 1);
	else
		retErr = TUSBKRL_BitSet(DevId, 3, 0);

	if( retErr )
		ErrorDisp( retErr );	
}

void CKRLForm::OnRlout4() 
{
	short retErr;

	UpdateData(TRUE);
	if( m_RLOUT4 )
		retErr = TUSBKRL_BitSet(DevId, 4, 1);
	else
		retErr = TUSBKRL_BitSet(DevId, 4, 0);

	if( retErr )
		ErrorDisp( retErr );		
}

void CKRLForm::OnRlout5() 
{
	short retErr;

	UpdateData(TRUE);
	if( m_RLOUT5 )
		retErr = TUSBKRL_BitSet(DevId, 5, 1);
	else
		retErr = TUSBKRL_BitSet(DevId, 5, 0);

	if( retErr )
		ErrorDisp( retErr );		
}

void CKRLForm::OnRlout6() 
{
	short retErr;

	UpdateData(TRUE);
	if( m_RLOUT6 )
		retErr = TUSBKRL_BitSet(DevId, 6, 1);
	else
		retErr = TUSBKRL_BitSet(DevId, 6, 0);

	if( retErr )
		ErrorDisp( retErr );		
}

void CKRLForm::OnRlout7() 
{
	short retErr;

	UpdateData(TRUE);
	if( m_RLOUT7 )
		retErr = TUSBKRL_BitSet(DevId, 7, 1);
	else
		retErr = TUSBKRL_BitSet(DevId, 7, 0);

	if( retErr )
		ErrorDisp( retErr );	
}



void CKRLForm::OnTimer(UINT nIDEvent) 
{
	if( TUSBKRL_Chk(DevId) != 0 )
	{
		ShowWindow(SW_HIDE);
		KillTimer(TIMER1);
	}
	else
	{
		IoCheck();
	}
	
	CDialog::OnTimer(nIDEvent);
}

void CKRLForm::IoCheck()
{
	short retErr;
	BYTE Data;

	UpdateData(TRUE);

	retErr = TUSBKRL_Read(DevId, &Data);
	if( retErr != 0 )
	{
		KillTimer(TIMER1);
		ShowWindow(SW_HIDE);
	}

	m_RLST0 = HLCheck(Data,0);
	m_RLST1 = HLCheck(Data,1);
	m_RLST2 = HLCheck(Data,2);
	m_RLST3 = HLCheck(Data,3);
	m_RLST4 = HLCheck(Data,4);
	m_RLST5 = HLCheck(Data,5);
	m_RLST6 = HLCheck(Data,6);
	m_RLST7 = HLCheck(Data,7);

	UpdateData(FALSE);
}

CString CKRLForm::HLCheck(BYTE Data, int Bit)
{
	if( Data & ( 0x01 << Bit ) )
		return "On";
	else
		return "Off";
}


